Subject: [bug#76594] [PATCH 1/3] doc: Mention that patch files should be generated with quilt.

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 27 Feb 2025 19:57:17 +0100

Am Donnerstag, dem 27.02.2025 um 11:32 -0500 schrieb Morgan Smith:
> Maxim Cournoyer <[email-masked]> writes:
> 
> > Hi Morgan,
> > 
> > Morgan Smith <[email-masked]> writes:
> > 
> > > * doc/guix.texi: Add a reference to the command quilt in the
> > > places that mention patch files
> > 
> > I'm not sure quilt is really relevant still, in this git-is-
> > everywhere era?  I think it was mostly used on Debian, mostly
> > useful back in the day where there was no distributed VCS I'd
> > assume.
> > 
> > I'd drop this commit.
> 
> I'm not sure you saw my coverpage for this bug so I'll copy that in
> here:
> 
> =====
> While updating emacs I was perplexed as to how to create the
> patchfiles located in 'gnu/packages/patches'.  I saw no mention of
> how to do so in the manual so I just added git diffs (which did work
> but the reviewer was not pleased).  I have since been informed I
> should have used quilt.
> ====
> 
> I'll CC the reviewer here (Liliana Marie Prikler) to ask why they
> felt I should've used quilt.  I'm now realizing it might have simply
> been to minimize the changes to the patch file (which is a valid
> reason).
Yes, that's exactly why :)

> I still think we should document some way of creating the patches
> just so we have a canonical way of doing it (even if we don't require
> strict adherence).
> 
> Personally, I think we should use `git format-patch` as that's what
> contributors would be used to using.
I prefer quilt for sources that aren't backed by git, in particular
everything fetched with url-fetch.  But we do import patches from Git
too, so `git format-patch` should be used where it's useful.

Cheers